default to gcc 3.4.4 for brcm-2.4 because of weird kernel problems
[openwrt/svn-archive/archive.git] / openwrt / toolchain / gcc / Config.in
1 # Choose gcc version.
2 # WARNING -- 2.95 currently only builds for i386, arm, mips*, and powerpc.
3 # WARNING -- 2.95 does not currently build natively for the target.
4
5 if CONFIG_DEVEL
6 comment "Gcc Options"
7 endif
8
9
10 config BR2_GCC_3_4
11 bool
12 default n
13 depends BR2_GCC_VERSION_3_4_4 || BR2_GCC_VERSION_3_4_5 || BR2_GCC_VERSION_4_0_2
14
15 choice
16 prompt "GCC compiler Version" if CONFIG_DEVEL
17 default BR2_GCC_VERSION_4_0_2 if BR2_LINUX_2_6_ARUBA
18 default BR2_GCC_VERSION_3_4_4 if BR2_LINUX_2_4_BRCM
19 default BR2_GCC_VERSION_3_4_5
20 help
21 Select the version of gcc you wish to use.
22
23 config BR2_GCC_VERSION_3_4_4
24 bool "gcc 3.4.4"
25 select BR2_GCC_3_4
26
27 config BR2_GCC_VERSION_3_4_5
28 bool "gcc 3.4.5"
29 select BR2_GCC_3_4
30
31 config BR2_GCC_VERSION_4_0_2
32 bool "gcc 4.0.2"
33 select BR2_GCC_3_4
34 select BR2_PACKAGE_LIBGCC
35
36 endchoice
37
38 config BR2_GCC_VERSION
39 string
40 default "3.4.4" if BR2_GCC_VERSION_3_4_4
41 default "3.4.5" if BR2_GCC_VERSION_3_4_5 || !CONFIG_DEVEL
42 default "4.0.2" if BR2_GCC_VERSION_4_0_2
43
44
45 config BR2_GCC_USE_SJLJ_EXCEPTIONS
46 string
47 # default "--enable-sjlj-exceptions"
48 default ""
49 help
50 Currently the unwind stuff seems to work for staticly linked apps
51 but not dynamic. So use setjmp/longjmp exceptions by default.
52
53 config BR2_EXTRA_GCC_CONFIG_OPTIONS
54 string
55 prompt "Additional gcc options" if CONFIG_DEVEL
56 default ""
57 help
58 Any additional gcc options you may want to include....
59
60 config BR2_INSTALL_LIBSTDCPP
61 bool
62 prompt "Build/install c++ compiler and libstdc++?" if CONFIG_DEVEL
63 default y
64 help
65 Build/install c++ compiler and libstdc++?
66